Subject: Re: bug#51390: 29.0.50; repeat-mode: Fails to repeat keys in global-map(?)

From: Visuwesh <[email-masked]>
Date: Sat, 20 Nov 2021 14:23:43 +0100 (CET)

17 Nov 2021, 13:24 by [email-masked]:

Hi Juri,

>Thanks, everything's clear now. And no worries — a new option will allow
>to not end the repeating sequence on error.

Great, thanks!

>One problem I had with writing tests for such a feature — tests for repeat-mode
>are based on ‘execute-kbd-macro’, but an error ends the keyboard macro.
>So probably there will be no tests for this error-signaling repeatable commands.

I wonder if the new mechanism added to ERT by Lars could be help here?
(and used by the indentation tests)  But I suppose you still have to end
up using keyboard macros one way or another...